import z from "zod";

export const issueSchema = z.object({
  issueTitle: z.string().min(1),
  issueProbability: z.number().min(0).max(100),

  grossIssueValue: z.number().min(0),
  probableIssueValue: z.number(),
  probableIssueValueInUSD: z.number(),

  issueImpact: z.string(),
  issueOwner: z.string().min(1),
  issueDescription: z.string().min(1),

  projectIdentifier: z.string(),

  financialIssue: z.boolean(),
  issueCreatedDate: z.string(),

  issueOptionsSelectId: z.string(),

  issueStatus: z.string().optional(),
  issueAge: z.number().optional(),
  effectedSprintId: z.string().optional(),
});
